For AI agents: the documentation index is at /llms.txt, and this page is available as Markdown at /api/institutional/get-api-versions-cefi.md.

Get supported API versions

GET
/v1/cefi/versions

Returns a list of supported API versions with their deprecation status. Use this endpoint to discover available versions and plan migrations when versions are deprecated.

Response Body

List of supported API versions.

application/json
  1. response

Information about supported API versions.

supported_versions*array<>

List of all supported API versions.

default_version*string

The version used when no X-Truex-Version header is provided.

version_header*string

The header name to use for specifying API version.

Example Request
curl -X GET 'https://api.truex.co/v1/cefi/versions'
Example Response
{  "supported_versions": [    {      "version": "v2026_01_23",      "deprecated": false,      "deprecation_date": "Sat, 01 Feb 2025 00:00:00 GMT",      "sunset_date": "Sun, 01 Feb 2026 00:00:00 GMT"    }  ],  "default_version": "v2026_01_23",  "version_header": "X-Truex-Version"}